/*
	Fix Your Singer
	(c) 2008--2009 Stephane Magnenat <stephane at magnenat dot net>

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation version 3.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	The GPL can be found at <http://www.gnu.org/licenses/>.
*/

#ifndef __PITCH_VECTOR_H
#define __PITCH_VECTOR_H

#include <QPointF>
#include <QRectF>
#include <QVector>
#include <QTextStream>

class PitchVector
{
public:
	QVector<QPointF> originalData;
	QVector<QPointF> editedData;
	QRectF bounds;

public:
	PitchVector();
	bool open(QTextStream& stream);
	void save(QTextStream& stream);
	int getIndexFromTime(qreal time, bool right);
};

#endif
